## mx4j.monitor
Class MX4JGaugeMonitor

    java.lang.Object
      javax.management.StandardMBean
          mx4j.monitor.MX4JMonitor
              mx4j.monitor.MX4JGaugeMonitor

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, MX4JGaugeMonitorMBean, MX4JMonitorMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class MX4JGaugeMonitor
extends MX4JMonitor
implements MX4JGaugeMonitorMBean

Version:
  $Revision: 1.3 $

Nested Class Summary
`protected class` `MX4JGaugeMonitor.GaugeMonitorInfo`

Nested classes inherited from class mx4j.monitor.MX4JMonitor
`MX4JMonitor.MonitorInfo`

Constructor Summary
`` `MX4JGaugeMonitor()`
`protected` `MX4JGaugeMonitor(java.lang.Class management)`

Method Summary
`protected int` `compare(java.lang.Number left, java.lang.Number right)`
`protected MX4JMonitor.MonitorInfo` `createMonitorInfo()`
`java.lang.Number` `getDerivedGauge(javax.management.ObjectName objectName)`
`long` `getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)`
`boolean` `getDifferenceMode()`
`java.lang.Number` `getHighThreshold()`
`java.lang.Number` `getLowThreshold()`
`javax.management.MBeanNotificationInfo[]` `getNotificationInfo()`
`boolean` `getNotifyHigh()`
`boolean` `getNotifyLow()`
`protected void` `monitor(javax.management.ObjectName name, java.lang.String attribute, java.lang.Object value, MX4JMonitor.MonitorInfo monitorInfo)`
`void` `setDifferenceMode(boolean differenceMode)`
`void` `setNotifyHigh(boolean notifyHigh)`
`void` `setNotifyLow(boolean notifyLow)`
`void` `setThresholds(java.lang.Number highValue, java.lang.Number lowValue)`
`protected java.lang.Number` `sub(java.lang.Number left, java.lang.Number right)`

Methods inherited from class mx4j.monitor.MX4JMonitor

`addNotificationListener, addObservedObject, clearObservedObjects, containsObservedObject, createMonitorNotification, createNotificationEmitter, getGranularityPeriod, getLogger, getMonitorInfo, getObservedAttribute, getObservedObjects, isActive, postDeregister, postRegister, preDeregister, preRegister, putMonitorInfo, removeMonitorInfo, removeNotificationListener, removeNotificationListener, removeObservedObject, sendErrorNotification, sendNotification, sendNotification, setGranularityPeriod, setObservedAttribute, start, startMonitor, stop, stopMonitor`

Methods inherited from class javax.management.StandardMBean
`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, setAttribute, setAttributes, setImplementation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface mx4j.monitor.MX4JMonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, start, stop`

Constructor Detail

### MX4JGaugeMonitor

    public MX4JGaugeMonitor()
                     throws javax.management.NotCompliantMBeanException

### MX4JGaugeMonitor

    protected MX4JGaugeMonitor(java.lang.Class management)
                        throws javax.management.NotCompliantMBeanException

Method Detail

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

### getHighThreshold

    public java.lang.Number getHighThreshold()

  Specified by:
    `getHighThreshold` in interface `MX4JGaugeMonitorMBean`

### getLowThreshold

    public java.lang.Number getLowThreshold()

  Specified by:
    `getLowThreshold` in interface `MX4JGaugeMonitorMBean`

### setThresholds

    public void setThresholds(java.lang.Number highValue,
                              java.lang.Number lowValue)
                       throws java.lang.IllegalArgumentException

  Specified by:
    `setThresholds` in interface `MX4JGaugeMonitorMBean`
  Throws:
    `java.lang.IllegalArgumentException`

### getNotifyHigh

    public boolean getNotifyHigh()

  Specified by:
    `getNotifyHigh` in interface `MX4JGaugeMonitorMBean`

### getNotifyLow

    public boolean getNotifyLow()

  Specified by:
    `getNotifyLow` in interface `MX4JGaugeMonitorMBean`

### setNotifyHigh

    public void setNotifyHigh(boolean notifyHigh)

  Specified by:
    `setNotifyHigh` in interface `MX4JGaugeMonitorMBean`

### setNotifyLow

    public void setNotifyLow(boolean notifyLow)

  Specified by:
    `setNotifyLow` in interface `MX4JGaugeMonitorMBean`

### getDifferenceMode

    public boolean getDifferenceMode()

  Specified by:
    `getDifferenceMode` in interface `MX4JGaugeMonitorMBean`

### setDifferenceMode

    public void setDifferenceMode(boolean differenceMode)

  Specified by:
    `setDifferenceMode` in interface `MX4JGaugeMonitorMBean`

### getDerivedGauge

    public java.lang.Number getDerivedGauge(javax.management.ObjectName objectName)

  Specified by:
    `getDerivedGauge` in interface `MX4JGaugeMonitorMBean`

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)

  Specified by:
    `getDerivedGaugeTimeStamp` in interface `MX4JGaugeMonitorMBean`

### createMonitorInfo

    protected MX4JMonitor.MonitorInfo createMonitorInfo()

  Specified by:
    `createMonitorInfo` in class `MX4JMonitor`

### compare

    protected int compare(java.lang.Number left,
                          java.lang.Number right)

### sub

    protected java.lang.Number sub(java.lang.Number left,
                                   java.lang.Number right)

### monitor

    protected void monitor(javax.management.ObjectName name,
                           java.lang.String attribute,
                           java.lang.Object value,
                           MX4JMonitor.MonitorInfo monitorInfo)

  Specified by:
    `monitor` in class `MX4JMonitor`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.